import * as z from 'zod';
export const InsuranceContactAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    userId: z.number(),
    name: z.number(),
    phoneNumber: z.number(),
    createdAt: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    phoneNumber: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    phoneNumber: z.string().nullable(),
    createdAt: z.date().nullable()
  }).nullable().optional()});